--- title: "getCloudMysqlImageProductList" slug: "database-vmysql-getcloudmysqlimageproductlist" tags: ["Cloud DB for MySQL"] updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlImageProductList Available in VPC Get the list of Cloud DB for MySQL image product codes. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlImageProductList | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code to view the Cloud DB for MySQL image product code list for - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `productCode` | String | Optional | Filter by Cloud DB for MySQL image product code - Check through [getCloudMysqlImageProductList](/docs/en/database-vmysql-getcloudmysqlimageproductlist) | | `exclusionProductCode` | String | Optional | Filter by excluding Cloud DB for MySQL image product code - Check through [getCloudMysqlImageProductList](/docs/en/database-vmysql-getcloudmysqlimageproductlist) | | `generationCode` | String | Optional | Filter by generation code - `G2` \| `G3` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlImageProductList ?regionCode=KR &productCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.5732.B050 &exclusionProductCode=SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.5729.B050 &generationCode=G2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudDbProductList](/docs/en/common-vapidatatype-clouddbproductlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlImageProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050", "productName": "mysql(8.0.25)", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "CentOS 7.8 with MySQL 8.0.25", "infraResourceType": { "code": "SW", "codeName": "Software" }, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "CentOS 7.8 with MySQL 8.0.25 (64-bit)", "generationCode": "G2", "engineVersionCode": "MYSQL8.0.25" } ], "requestId": "b0fc99ba-****-****-****-10b4af985d1e", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` b0fc99ba-****-****-****-10b4af985d1e 0 success 1 SW.VDBAS.DBAAS.LNX64.CNTOS.0708.MYSQL.8025.B050 mysql(8.0.25) LINUX Linux CentOS 7.8 with MySQL 8.0.25 SW Software 53687091200 LNX64 Linux 64 Bit CentOS 7.8 with MySQL 8.0.25 (64-bit) G2 MYSQL8.0.25 ```